eoSharing(3)

NAME
eoSharing - Sharing is a perf2worth class that implements Goldberg and Richardson's basic sharing see eoSharingSelect for how to use it and test/t-eoSharing.cpp for a sample use of both.

SYNOPSIS

#include <eoSharing.h>

Inherits eoPerf2Worth< EOT >.

  Public Member Functions
eoSharing (double _nicheSize, eoDistance< EOT > &_dist)
void operator() (const eoPop< EOT > &_pop)
Computes shared fitnesses.

  Private Attributes
double nicheSize
eoDistance< EOT > & dist

Detailed Description

  template<class EOT> class eoSharing< EOT >
Sharing is a perf2worth class that implements Goldberg and Richardson's basic sharing see eoSharingSelect for how to use it and test/t-eoSharing.cpp for a sample use of both.

Definition at line 79 of file eoSharing.h.

Author

Generated automatically by Doxygen for EO from the source code.